Bug 35355

Summary: [Gtk] use geoclue_position_get_position_async to get geolocation position.
Product: WebKit Reporter: arno. <a.renevier>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, gns
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 35191    
Attachments:
Description Flags
patch v1.4
none
ignore - patch for a different bug none

Description arno. 2010-02-24 13:12:11 PST
Hi, this bug is splitted from bug 35191
Comment 1 arno. 2010-02-24 13:29:14 PST
Created attachment 49429 [details]
patch v1.4
Comment 2 Dirk Pranke 2010-02-25 12:24:30 PST
Created attachment 49517 [details]
ignore - patch for a different bug
Comment 3 Dirk Pranke 2010-02-25 12:25:30 PST
Comment on attachment 49517 [details]
ignore - patch for a different bug

whoops - attached patch to wrong bug.
Comment 4 Gustavo Noronha (kov) 2010-02-26 11:31:59 PST
Comment on attachment 49429 [details]
patch v1.4

> +        No new tests, behaviour depends on system.

Not quite true for this one, but we'll add tests when adding the new auth API, hopefully, thanks!
Comment 5 WebKit Commit Bot 2010-02-26 17:00:06 PST
Comment on attachment 49429 [details]
patch v1.4

Clearing flags on attachment: 49429

Committed r55325: <http://trac.webkit.org/changeset/55325>
Comment 6 WebKit Commit Bot 2010-02-26 17:00:11 PST
All reviewed patches have been landed.  Closing bug.